        !COMPILER-GENERATED INTERFACE MODULE: Sat Feb 12 13:24:48 2022
        ! This source file is for reference only and may not completely
        ! represent the generated interface used by the compiler.
        MODULE PRINTAPPROX_Y222__genmod
          INTERFACE 
            SUBROUTINE PRINTAPPROX_Y222(AN,N,P,MH,Y,H)
              INTEGER(KIND=4) :: P
              INTEGER(KIND=4) :: N
              REAL(KIND=8) :: AN(0:N)
              REAL(KIND=8) :: MH
              REAL(KIND=8) :: Y(0:P-1)
              REAL(KIND=8), INTENT(IN) :: H
            END SUBROUTINE PRINTAPPROX_Y222
          END INTERFACE 
        END MODULE PRINTAPPROX_Y222__genmod
